# Interface TestSuiteSpec

All Superinterfaces:
  `ComponentSpec, GeneralComponentSpec, ModelElement, Named, SourceComponentSpec, VariantComponent, VariantComponentSpec`

All Known Subinterfaces:
  `CUnitTestSuiteSpec, GoogleTestTestSuiteSpec, JUnitTestSuiteSpec, JvmTestSuiteSpec, NativeTestSuiteSpec`

@Incubating public interface TestSuiteSpec extends GeneralComponentSpec
A component representing a suite of tests that will be built and executed together.

## Nested Class Summary

### Nested classes/interfaces inherited from interface Named

`Named.Namer`

## Method Summary

Modifier and Type
Method
Description
`ComponentSpec`
`getTestedComponent()`
The tested component.
`void`
`setTestedComponent(ComponentSpec testedComponent)`
Sets the tested component.
`void`
`testing(ComponentSpec testedComponent)`
Sets the tested component.

### Methods inherited from interface ComponentSpec

`getProjectPath`

### Methods inherited from interface ModelElement

`getDisplayName`

### Methods inherited from interface SourceComponentSpec

`getSources`

### Methods inherited from interface VariantComponent

`getName, getVariants`

### Methods inherited from interface VariantComponentSpec

`getBinaries`

## Method Details

### getTestedComponent

ComponentSpec getTestedComponent()
The tested component.

### setTestedComponent

void setTestedComponent(ComponentSpec testedComponent)
Sets the tested component.

Parameters:
  `testedComponent` - the component under test

### testing

void testing(ComponentSpec testedComponent)
Sets the tested component.

Parameters:
  `testedComponent` - the component under test